document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3600 | ---
+++
@@ -33,7 +33,7 @@
echo "Installing slack-notifier as root..."
sudo bundle install
- sudo bundle exec $WERCKER_STEP_ROOT/run.rb
+ sudo -E bundle exec $WERCKER_STEP_ROOT/run.rb
fi
else
# Support Docker Box | bash |
d_bash_3601 | ---
+++
@@ -4,10 +4,11 @@
DUMMY_DIR="/var/run/dummy-sink"
ips="$@"
for ip in $ips; do
- ssh -i $JUJU_HOME/staging-juju-rsa ubuntu@$ip <<EOT
+ ssh -i $JUJU_HOME/staging-juju-rsa ubuntu@$ip <<"EOT"
#!/bin/bash
set -ux
if [[ -n "$(ps ax | grep jujud | grep -v grep)" ]]; then
+ sudo touch /var/lib/juju/uni... | bash |
d_bash_3602 | ---
+++
@@ -6,7 +6,7 @@
ERR=0
-for file in $(find . -iname "*.py" -o -iname "*.html" -o -iname "*.js"); do
+for file in $(find . -iname "*.py" -o -iname "*.html" -o -iname "*.js"|grep -v pybitmessage|grep -v '.min.js'|grep -v bower_components); do
if [ "$(tail -c1 $file)" != "" ]; then
echo "$file:... | bash |
d_bash_3603 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -e
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key 3FF5FFCAD71472C4
-sudo sh -c 'echo "deb http://qgis.org/debian trusty main" > /etc/apt/sources.list.d/qgis.list'
+sudo sh -c 'echo "deb http://qgis.org/debian-ltr trusty main" > /etc/apt/sources.list.d/qgis.list'
su... | bash |
d_bash_3604 | ---
+++
@@ -2,8 +2,8 @@
set -e # Exit with nonzero exit code if anything fails
# Start with a "cleaner" sheet
-gem uninstall json
-gem uninstall jazzy
+gem cleanup json
+gem cleanup jazzy
gem install jazzy
jazzy -v
| bash |
d_bash_3605 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+# SPDX-FileCopyrightText: 2021 Comcast Cable Communications Management, LLC
+# SPDX-License-Identifier: Apache-2.0
curl -s -L -O https://sonarcloud.io/static/cpp/build-wrapper-linux-x86.zip
unzip -q -o build-wrapper-linux-x86.zip | bash |
d_bash_3606 | ---
+++
@@ -1,6 +1,6 @@
p4() {
if type p4-$1 1>/dev/null; then
- p4-$1 $(command -v p4) $@
+ p4-$1 $(type -p p4 | awk '{print $3}') $@
else
command p4 $@
fi | bash |
d_bash_3607 | ---
+++
@@ -16,8 +16,6 @@
if [[ $* == *--update-manifest* ]]; then
(python -c "import html5lib" &>/dev/null) || pip install html5lib
fi
-
-(python -c "import mozlog" &>/dev/null) || pip install mozlog==2.1 #Temporary fix for broken tree
(python -c "import wptrunner" &>/dev/null) || pip install 'wptrunner==1... | bash |
d_bash_3608 | ---
+++
@@ -6,4 +6,4 @@
FORCE_GIT=1
git_download bedrock2
-( cd "${CI_BUILD_DIR}/bedrock2" && git submodule update --init --recursive && COQMF_ARGS='-arg "-async-proofs-tac-j 1"' make | iconv -t UTF-8 -c `#9767` )
+( cd "${CI_BUILD_DIR}/bedrock2" && git submodule update --init --recursive && COQMF_ARGS='-arg "-as... | bash |
d_bash_3609 | ---
+++
@@ -4,9 +4,6 @@
# optionally compile source
cd ~/.nodenv && src/configure && make -C src
-
-# initialize nodenv since we'll need it
-eval "$(nodenv init -)"
# install node-build as nodenv plugin
git clone https://github.com/nodenv/node-build.git $(nodenv root)/plugins/node-build | bash |
d_bash_3610 | ---
+++
@@ -13,7 +13,7 @@
done
done
-echo "Removing ~/.netnew..."
+echo "Removing ~/.templateengine..."
rm -rf ~/.templateengine
echo "Removing packages from cache..."
rm -rf ~/.nuget/packages/Microsoft.TemplateEngine.* | bash |
d_bash_3611 | ---
+++
@@ -12,15 +12,15 @@
fi
# Add <strong>.old</strong> to any existing Vim file in the home directory
-for i in ~/.vim ~/.vimrc ~/.gvimrc; do
+for i in $HOME/.vim $HOME/.vimrc $HOME/.gvimrc; do
if [[ ( -e $i ) || ( -h $i ) ]]; then
echo "${i} has been renamed to ${i}.old"
- mv $i $i.old;
+ mv "$... | bash |
d_bash_3612 | ---
+++
@@ -7,7 +7,9 @@
readonly dirlist=("$@")
fi
-readonly gc_flags=()
+readonly gc_flags=(
+ '--aggressive'
+)
readonly origdir="$(pwd)"
for dir in "${dirlist[@]}"; do | bash |
d_bash_3613 | ---
+++
@@ -14,5 +14,6 @@
archname="$dirname.tar.gz"
cp -r code $dirname
+cp LICENSE $dirname/LICENSE
tar -czf $archname $dirname
rm -rf $dirname | bash |
d_bash_3614 | ---
+++
@@ -18,7 +18,7 @@
- label: run bats tests
command: tests/
plugins:
- ${BUILDKITE_REPO}#${commit}:
+ docker-compose#v1.2.1
run: tests
- wait | bash |
d_bash_3615 | ---
+++
@@ -8,3 +8,4 @@
do
alias $ruby="rvm use $ruby"
done
+alias update_ports="sudo port selfupdate && sudo port upgrade outdated && sudo port uninstall inactive" | bash |
d_bash_3616 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
RELEASE_VERSION=${GO_PIPELINE_LABEL}
-DEVEL_VERSION="0.2-SNAPSHOT"
+DEVEL_VERSION="${NEXT_VERSION}-SNAPSHOT"
mvn release:prepare --batch-mode \
--projects core \ | bash |
d_bash_3617 | ---
+++
@@ -9,6 +9,7 @@
export OPAMYES=1
opam init
+opam pin git https://github.com/samoht/ocaml-git.git
opam install ${OPAM_PACKAGES}
eval `opam config env` | bash |
d_bash_3618 | ---
+++
@@ -22,9 +22,9 @@
if [ "HTTPS" == "$6" ]
then
- curl -s --insecure --ssl -H 'Content-Type: application/json' -u "$4:$5" --data-binary @$2 "$1/$3"
+ curl -s --insecure --ssl -H 'Accept: application/json' -u "$4:$5" --data-binary @$2 "$1/$3"
else
- curl -s -H 'Content-Type: application/json' -u "$... | bash |
d_bash_3619 | ---
+++
@@ -13,7 +13,7 @@
trap cleanup 0
cp ../libtool plaintext
-../gfsplit -n 5 -t 3 plaintext cyphertext
+../gfsplit -n 3 -m 5 plaintext cyphertext
SHARES=$(ls cyphertext.* | wc -l)
| bash |
d_bash_3620 | ---
+++
@@ -9,7 +9,7 @@
lein cljsbuild once min
lein less once
-docker build -f Dockerfile-caddy -t $USER/$NAME:$TAG --no-cache .
+docker build -f Dockerfile-prod -t $USER/$NAME:$TAG --no-cache .
docker tag $USER/$NAME:$TAG $USER/$NAME:$TAG | bash |
d_bash_3621 | ---
+++
@@ -9,4 +9,4 @@
-listen-client-urls=http://0.0.0.0:${PORT_0} \
-initial-advertise-peer-urls=http://${EXTERNAL_IP}:${PORT_1} \
-listen-peer-urls=http://0.0.0.0:${PORT_1} \
- "${initial}"
+ ${initial} | bash |
d_bash_3622 | ---
+++
@@ -26,11 +26,6 @@
tar -zxf android-sdk_${ANDROID_SDK_VERSION}-macosx.zip
export ANDROID_HOME=$PWD/android-sdk-macosx
- # Install required Android components; automatically accept the license prompt
- echo "Updating Android SDK..."
- echo "y" | android update sdk --filter platform-tools,b... | bash |
d_bash_3623 | ---
+++
@@ -6,3 +6,7 @@
pyenv install -ks $PYTHON_VERSION
pyenv global $PYTHON_VERSION
python --version
+
+which pip
+which python
+which py.test | bash |
d_bash_3624 | ---
+++
@@ -2,5 +2,6 @@
set -evx
-gem install bundler -v $(grep bundler omnibus_overrides.rb | cut -d'"' -f2)
-bundle install
+bundler_version=$(grep bundler omnibus_overrides.rb | cut -d'"' -f2)
+gem install bundler -v $bundler_version
+bundle _${bundler_version}_ install | bash |
d_bash_3625 | ---
+++
@@ -7,6 +7,7 @@
declare -a OSes
OSes[0]='linux;x86_64-linux-gnu-gcc'
OSes[1]='windows;x86_64-w64-mingw32-gcc'
+mkdir dist
for i in "${OSes[@]}"; do
arr=(${i//;/ })
@@ -16,5 +17,5 @@
echo -e "\nBuilding $os..."
echo GOOS=$os GOARCH=amd64 CC=$cc CGO_ENABLED=1 go build -v
GOOS=$os GOARCH=amd64 CC=$... | bash |
d_bash_3626 | ---
+++
@@ -1,7 +1,10 @@
#!/bin/sh
cd /opt/teamspeak-automation/
-php -q -d 'newrelic.appname="TeamSpeak Automation"' -f ./teamspeak-automation.php
+php -q \
+ -d 'date.timezone="Etc/UTC"' \
+ -d 'newrelic.appname="TeamSpeak Automation"' \
+ -f ./... | bash |
d_bash_3627 | ---
+++
@@ -11,3 +11,12 @@
eval abyss-pe name=genome ${FLAGS} in="${READS}"
cp genome-contigs.fa ${OUTPUT}/contigs.fa
+
+cat << EOF > ${OUTPUT}/biobox.yaml
+version: 0.9.0
+arguments:
+ - fasta:
+ - id: contigs_1
+ value: contigs.fa
+ type: contigs
+EOF | bash |
d_bash_3628 | ---
+++
@@ -4,7 +4,8 @@
EPOCH=$(date --date="$(date +%H:%M:00)" +%s)
# 2014/11/10 - Use curl instead of GET to avoid CPAN dependencies for HTTPS; use only return value from XML output
# 2014/11/25 - Use "last" instead of date for intermittent HTTP 404 error when EPOCH unavailable.
-RESULTS=$(curl -s https://beacon... | bash |
d_bash_3629 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-(echo 'Benchmark;Runtime change;Original runtime'; ./bench-cmp.pl "$@") | column -nts\;
+(echo 'Benchmark;Runtime change;Original runtime'; ./bench-cmp.pl "$@") | column -ts\; | bash |
d_bash_3630 | ---
+++
@@ -2,7 +2,7 @@
rm -rfv cov-int
rm -rfv prodbg_cov.xz
-tundra2 -c linux-gcc-release
-cov-build --dir cov-int tundra2 -v linux-gcc-release
+tundra2 -c linux-gcc-debug
+cov-build --dir cov-int tundra2 -v linux-gcc-debug
tar cavf prodbg_cov.xz cov-int
curl --form token=gBMZ9SVfbnqwMUGd7JkIvA --form email=d... | bash |
d_bash_3631 | ---
+++
@@ -8,18 +8,16 @@
listableFiles=()
- for (( i=0; i<${#allFiles[@]}; i++ )); do
for a in ${allFiles[@]}; do
- for (( j=0; j<${#excludedFiles[@]}; j++ )); do
for e in ${excludedFiles[@]}; do
isEmptyArray=$(StringValidator isNull "${listableFiles[@]}")
isUniqueFile=$(ArrayValidator has... | bash |
d_bash_3632 | ---
+++
@@ -8,4 +8,3 @@
# Reload the terminal with the new bash_profile
source ~/.bash_profile
-exec $SHELL -l | bash |
d_bash_3633 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash -x
export DISPLAY=:99
bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment
-bundle exec rake db:create db:migrate db:test:prepare && RAILS_ENV=test CUCUMBER_FORMAT=progress bundle exec rake test test:cleanup --trace && RAILS_ENV=production PRECOMPILING_ASSETS=true bu... | bash |
d_bash_3634 | ---
+++
@@ -41,6 +41,7 @@
rm -rf dist
python setup.py sdist
+pip install -U twine
twine upload dist/*
git checkout master | bash |
d_bash_3635 | ---
+++
@@ -5,5 +5,9 @@
# for 12.04
gconftool-2 -s -t bool /apps/metacity/general/resize_with_right_button true
# and for 12.10/13.04
-[[ -x $(which gsettings) ]] && gsettings set org.gnome.desktop.wm.preferences resize-with-right-button true
-
+if [[ -x $(which gsettings) ]];then
+ # Enable window resize with mo... | bash |
d_bash_3636 | ---
+++
@@ -1,2 +1,17 @@
#!/bin/sh
-CGO_ENABLED=0 GOOS=linux go build -ldflags "-s" -a
+
+# Build
+CGO_ENABLED=0 GOOS=linux go build -v -trimpath -ldflags "-s" -a
+
+# Compress
+upx algernon || echo 'Not using upx'
+
+# Package
+VERSION="$(grep '* Version:' README.md | cut -d' ' -f3)"
+mkdir -p "algernon-$VERSION"
+... | bash |
d_bash_3637 | ---
+++
@@ -6,14 +6,7 @@
RUN_TESTS_SCRIPT_FILEPATH=".ContinuousIntegrationScripts/runTests.st"
runTestsOnLinux() {
- TEST_TEMPORAL_DIR=$(mktemp -d)
- TEST_TEMPORAL_IMG="$TEST_TEMPORAL_DIR/cuis.image"
-
- cp "$IMAGE_FILE" "$TEST_TEMPORAL_IMG"
-
- sqcogspur64linuxht/bin/squeak -vm-display-null "$TEST_TEMPORAL_I... | bash |
d_bash_3638 | ---
+++
@@ -7,6 +7,7 @@
mkdir -p ~/.local/bin
export PATH=$HOME/.local/bin:/opt/ghc/$GHCVER/bin:$PATH
curl --retry 3 -L https://www.stackage.org/stack/linux-x86_64 | tar xz --wildcards --strip-components=1 -C ~/.local/bin '*/stack'
+ stack config set system-ghc --global true
stack install --res... | bash |
d_bash_3639 | ---
+++
@@ -12,5 +12,13 @@
git checkout gh-pages
rsync -avz $site_dir/ $tmp_dir
git add $version
+
+if grep -q $version _data/versions.yml; then
+ echo "$version exists in _data/versions.yml"
+else
+ echo -e "\n- $version" >> _data/versions.yml
+ git add _data/versions.yml
+fi
+
git commit -m "CI genera... | bash |
d_bash_3640 | ---
+++
@@ -3,10 +3,11 @@
env
ansible="ansible first_in_tag_Name_${environment}-${deployment}-worker -i playbooks/ec2.py -u ubuntu -s -U www-data -a"
-manage="/edx/bin/python.edxapp /edx/bin/manage.edxapp lms change_enrollment --settings aws"
+manage="/edx/bin/python.edxapp /edx/bin/manage.edxapp lms change_enrol... | bash |
d_bash_3641 | ---
+++
@@ -9,5 +9,5 @@
intltoolize -f
if [ -z "$NOCONFIGURE" ]; then
- "$srcdir"/configure --enable-maintainer-mode ${1+"$@"}
+ "$srcdir"/configure --enable-maintainer-mode --enable-vala ${1+"$@"}
fi | bash |
d_bash_3642 | ---
+++
@@ -9,8 +9,8 @@
CONDA_PY=2.7 conda build $recipe || echo "Failed on $recipe"
done
+to_build=$(cat build_order.txt)
cd bdist_conda
-to_build=[a-zA-Z]*
for d in $to_build
do
cd $d | bash |
d_bash_3643 | ---
+++
@@ -22,7 +22,7 @@
}
# configure docker creds
-retry 3 docker login -e "$DOCKER_EMAIL" -u "$DOCKER_USER" -p "$DOCKER_PASS"
+retry 3 echo "$DOCKER_PASS" | docker login -u="$DOCKER_USER" --password-stdin
docker images
| bash |
d_bash_3644 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -xe
# This is meant to be run from top-level dir. of sensorama-ios
| bash |
d_bash_3645 | ---
+++
@@ -1,3 +1,3 @@
-#!/usr/bin/bash
+#!/usr/bin/env bash
docker build --rm=true -t coppit/inotify-command . | bash |
d_bash_3646 | ---
+++
@@ -18,7 +18,9 @@
OUTDIR=gs://${BUCKET}/babyweight/hyperparam
JOBNAME=babyweight_$(date -u +%y%m%d_%H%M%S)
echo $OUTDIR $REGION $JOBNAME
-gsutil -m rm -rf $OUTDIR
+
+gsutil -m rm -rf $OUTDIR || true
+
gcloud ai-platform jobs submit training $JOBNAME \
--region=$REGION \
--module-name=trainer.task \ | bash |
d_bash_3647 | ---
+++
@@ -12,6 +12,10 @@
opts=$(wp --completions | grep ^$prev | cut -d ' ' -f 2- | tr '\n' ' ')
fi
- COMPREPLY=( $(compgen -W "$opts" -- $cur) )
+ if [[ 'create' = $prev ]]; then
+ COMPREPLY=( $(compgen -f "$cur") )
+ else
+ COMPREPLY=( $(compgen -W "$opts" -- $cur) )
+ fi
}
complete -F _wp wp | bash |
d_bash_3648 | ---
+++
@@ -1,10 +1,4 @@
# echo "zlogin - top"
-
-#
-# Executes commands at logout.
-#
-
-[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" # Load RVM into a shell session *as a function*
# echo "zlogin - btm"
| bash |
d_bash_3649 | ---
+++
@@ -10,6 +10,7 @@
sudo hdiutil attach XQuartz-2.7.6.dmg
sudo installer -verbose -pkg /Volumes/XQuartz-2.7.6/XQuartz.pkg -target /
brew update &> /dev/null
+ brew unlink python # Python 3 conflicts with Python 2's /usr/local/bin/2to3-2 file
brew upgrade gnupg
brew install gtk+ pygobject
expo... | bash |
d_bash_3650 | ---
+++
@@ -15,7 +15,6 @@
-logFile $(pwd)/integrationTests.log \
-projectPath $(pwd)/Travis/UnityTestProject \
-executemethod IBM.Watson.DeveloperCloud.Editor.TravisIntegrationTests.RunTests \
- -quit
if [ $? = 0 ] ; then
echo "UnitTest COMPLETED! Exited with $?"
echo 'Test logs' | bash |
d_bash_3651 | ---
+++
@@ -42,7 +42,7 @@
terraform init
terraform workspace select $environment || terraform workspace new $environment
-terraform apply -auto-approve -input=false
+terraform apply -auto-approve -input=false -target aws_s3_bucket.gnss_metadata_document_storage
function onExit {
rm -f main_override.tf | bash |
d_bash_3652 | ---
+++
@@ -9,3 +9,6 @@
# Enter a shell in a container
docker-shell() { docker exec -i -t $1 /bin/bash; }
+
+# Log in to AWS ECR
+alias docker-login='eval `aws ecr get-login --region=us-west-2`' | bash |
d_bash_3653 | ---
+++
@@ -10,23 +10,34 @@
BUILD_VERSION_SUFFIX="beta4-${BUILD_ID}"
# Build outputs go here.
-artifactsDirectory="$PWD/artifacts""
-if [-d $artifactsDirectory]; then
+artifactsDirectory="$PWD/artifacts"
+if [ -d $artifactsDirectory ]; then
rm -rf $artifactsDirectory
fi
-echo 'Build:'
+echo ''
+echo 'Restori... | bash |
d_bash_3654 | ---
+++
@@ -25,9 +25,9 @@
command: [remote/build-osx-client-remote.bash]
artifacts:
client:
- [juju-core_*.tar.gz]
+ [juju-*-osx.tar.gz]
bucket: ws-runner-test
EOT
+version_prefix=juju-ci/products/version-$revision_build
workspace-run -v --s3-config $JUJU_HOME/juju-qa.s3cfg temp-config.yaml \
- $USER_A... | bash |
d_bash_3655 | ---
+++
@@ -12,6 +12,10 @@
cd $DIR
+# Start with a clean working directory
+echo "Removing previously generated Dockerfiles..."
+rm -rf $DIR/../{ubuntu,debian,centos,fedora,base}
+
echo "Generating dists file..."
$DIR/gen-dists.sh > $DIR/../dockerfiles/dists.js
@@ -20,7 +24,7 @@
echo "Running Dante on bas... | bash |
d_bash_3656 | ---
+++
@@ -1,9 +1,25 @@
#! /bin/bash
-ALL_EXPERIMENTS="log_model_global peckham_model power_model_local log_model power_model_global log_model_local power_model"
+GROUP_NAME="nlsq5"
+ALL_EXPERIMENTS=" \
+ power_model \
+ power_model_nl2sol \
+"
-cd _experiments_new
+# power_model_global \
+# power_model_cob... | bash |
d_bash_3657 | ---
+++
@@ -4,7 +4,7 @@
# (MIT licensed, as of 2016-05-05).
__fzfz() {
- local cmd="z -l | awk '{print \$2}'"
+ local cmd="z -l | sed 's/^[[:digit:].]*[[:space:]]*//'"
eval "$cmd" | fzf -m --preview="ls -1 {} | head -$LINES" | while read item; do
printf 'cd %q ' "$item"
done | bash |
d_bash_3658 | ---
+++
@@ -13,5 +13,5 @@
echo "=== Processing coverage data..."
coverage xml
echo "=== Checking for PEP-8 violations..."
-pep8 --repeat --exclude='migrations' vumi | tee pep8.txt
+pep8 --repeat vumi | tee pep8.txt
echo "=== Done." | bash |
d_bash_3659 | ---
+++
@@ -21,7 +21,8 @@
alias Desktop="cd $HOME/Desktop"
alias known-hosts="$EDITOR $HOME/.ssh/known_hosts"
-alias ssh-config="$EDITOR $HOME/.ssh-config/config"
+alias ssh-config="$EDITOR $HOME/.ssh/config"
+alias authorized-keys="$EDITOR $HOME/.ssh/authorized_keys"
alias ind="cd $HOME/dev/jessicamah/indiner... | bash |
d_bash_3660 | ---
+++
@@ -3,7 +3,7 @@
set -o errexit
set -o nounset
-export PATH=/usr/safenet/lunaclient/bin:$PATH
+export PATH=$PATH:/usr/safenet/lunaclient/bin
ip = $1
| bash |
d_bash_3661 | ---
+++
@@ -6,6 +6,7 @@
until [ $attempt -ge 20 ]
do
if [ $(ps -p $pid | wc -l) -gt 1 ] ; then
+
echo " - $pid not stopped yet... $attempt"
sleep 1
else
@@ -16,6 +17,7 @@
done
if [ $(ps -p $pid | wc -l) -gt 1 ] ; then
+
echo " - Warning: $pid was not stopped, using kill 9..."
sudo kill -9 $pid
... | bash |
d_bash_3662 | ---
+++
@@ -5,6 +5,6 @@
set -eo pipefail
cd .git/hooks/
-SCRIPTS=$HOME/github.com/hkjn/scripts
+SCRIPTS="$GOPATH/src/hkjn.me/scripts"
ln -vs $SCRIPTS/pre-commit.sh pre-commit
ln -vs $SCRIPTS/pre-push.sh pre-push | bash |
d_bash_3663 | ---
+++
@@ -3,7 +3,7 @@
#
# eg : check_application_health.sh \
# -w '/var/www/myapp.io/current' \
-# -c 'app/console monitor:health'
+# -c 'php app/console monitor:health'
#
# Options :
# | bash |
d_bash_3664 | ---
+++
@@ -3,15 +3,13 @@
ARCHIVE=`awk '/^__ARCHIVE_BELOW__/ {print NR + 1; exit 0; }' $0`
-tail -n+"$ARCHIVE" "$0" | tar xzv -C "$TMPDIR" || echo "Couldn't extract the tar file"
+tail -n+"$ARCHIVE" "$0" | tar xz -C "$TMPDIR" || echo "Couldn't extract the tar file"
-CDIR=$(pwd)
-cd "$TMPDIR"
+LD_LIBRARY_PATH="... | bash |
d_bash_3665 | ---
+++
@@ -1,13 +1,17 @@
#!/bin/sh
-if test ! $(which rbenv)
-then
- echo " Installing rbenv for you."
- brew install rbenv > /tmp/rbenv-install.log
-fi
+#if test ! $(which rbenv)
+#then
+# echo " Installing rbenv for you."
+# brew install rbenv > /tmp/rbenv-install.log
+#fi
+#
+#if test ! $(which ruby-buil... | bash |
d_bash_3666 | ---
+++
@@ -8,10 +8,10 @@
mkdir ${TARGET_DIR}/${TARGET_SUBDIR}/
fi
-mv apm_planner_${BUILD_TAG}_wheezy.i386.deb ${TARGET_DIR}/${TARGET_SUBDIR}/
-mv apm_planner_${BUILD_TAG}_wheezy.amd64.deb ${TARGET_DIR}/${TARGET_SUBDIR}/
-mv apm_planner_${BUILD_TAG}_raring.i386.deb ${TARGET_DIR}/${TARGET_SUBDIR}/
-mv apm_plann... | bash |
d_bash_3667 | ---
+++
@@ -1,6 +1,11 @@
#!/bin/sh
BUILD_COBOL=1
BUILD_C=1
+
+if cc -v 2>&1 | grep 'clang' >/dev/null; then
+ CLANG=1
+fi
+
args=`getopt dCc $*`
if [ $? -ne 0 ]; then
echo 'Usage: sh gnu-cobol.sh [-d]'
@@ -32,6 +37,6 @@
fi
if [ $BUILD_COBOL ]; then
${COBC:-cobc} ${DEBUG:+-fdebugging-line} -std=mvs... | bash |
d_bash_3668 | ---
+++
@@ -1,5 +1,8 @@
#!/bin/bash
set -ex
+
+# debug version
+pylint --version
coverage run --source=xapi ./manage.py test xapi
coverage report -m | bash |
d_bash_3669 | ---
+++
@@ -7,5 +7,4 @@
${hyperkube_image} \
--net=host \
--dns=host \
- --working-dir=/assets/tectonic \
--exec=/bin/bash -- /assets/tectonic.sh /assets/kubeconfig /assets ${experimental} | bash |
d_bash_3670 | ---
+++
@@ -13,6 +13,10 @@
compopt -o default
COMPREPLY=()
;;
+ script|playbook)
+ compopt -o default
+ COMPREPLY=()
+ ;;
*)
COMPREPLY=( $(compgen -W "${opts}" -- ${cur}) )
;; | bash |
d_bash_3671 | ---
+++
@@ -2,7 +2,7 @@
set -eux
-versions=(1.6.0 1.7.0-RC1 1.7.0-RC2 1.7.0-master-SNAPSHOT)
+versions=(1.6.0 1.7.0)
for i in ${versions[@]}
do | bash |
d_bash_3672 | ---
+++
@@ -1,8 +1,10 @@
+#!/usr/bin/env sh
+
set -ex
-basename=protobuf-2.6.0
-tarball=$basename.tar.bz2
+version=2.6.1
+basename=protobuf-$version
-wget https://protobuf.googlecode.com/svn/rc/$tarball
-tar -xvf $tarball
+curl -sL https://github.com/google/protobuf/releases/download/v$version/$basename.tar.bz2 ... | bash |
d_bash_3673 | ---
+++
@@ -1,11 +1,18 @@
-for EXTENSION in "EditorConfig.EditorConfig" \
- "Tyriar.sort-lines" \
- "Tyriar.lorem-ipsum" \
- "cssho.vscode-svgviewer" \
- "dbaeumer.vscode-eslint" \
- "ms-vscode.csharp" \
- "ryzngard.vscode... | bash |
d_bash_3674 | ---
+++
@@ -5,8 +5,8 @@
npm run clean
npm run build
-npm test
-npm run test:coverage
+npm test || npm test
+npm run test:coverage || npm test:coverage
export PATH="$HOME/miniconda/bin:$PATH"
npm run test:integration || npm run test:integration || npm run test:integration
npm run docs | bash |
d_bash_3675 | ---
+++
@@ -8,7 +8,7 @@
#
echo "aclocal..."
-ACLOCAL=`which aclocal-1.9 || which aclocal19 || which aclocal-1.7 || which aclocal17 || which aclocal-1.5 || which aclocal15 || which aclocal || exit 1`
+ACLOCAL=`which aclocal-1.10 || which aclocal-1.9 || which aclocal19 || which aclocal-1.7 || which aclocal17 || whi... | bash |
d_bash_3676 | ---
+++
@@ -7,7 +7,7 @@
files=`ls -1 -S *.smt2`
for f in $files; do
- stp --output-CNF $f
+ stp --simplifying-minisat --output-CNF $f
cnf=`cat output_*.cnf | wc -l`
if [ $cnf -gt 3 ] ; then
exit 10 | bash |
d_bash_3677 | ---
+++
@@ -1,5 +1,13 @@
#!/bin/bash
+if [ -z "$TRAVIS_TAG" ]
+then
+ version='latest'
+else
+ # Strip prefix from tag name so that v3.7.5 becomes 3.7.5
+ version=${TRAVIS_TAG#v}
+fi
+
echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" --password-stdin
-cd docker && docker build -t opennode/waldur-home... | bash |
d_bash_3678 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
-# In order to use the istio-injection annotation only on specific deployments within
-# the pitstop namespace, we need to disable automatic injection and enable it explicitly
+# In order to use the istio-injection annotation only on specific deployments within
+# the pitstop ... | bash |
d_bash_3679 | ---
+++
@@ -10,3 +10,6 @@
echo -e
echo "You can change the password using 'boxpasswd' command from shell"
echo -e
+
+# Clear PASSWORD environment variable
+rm /etc/container_environment/PASSWORD | bash |
d_bash_3680 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+set -eu
if (( $# < 1)); then
echo "OpenHIM release build: Builds a specific tagged release ready for deployment"; | bash |
d_bash_3681 | ---
+++
@@ -29,5 +29,5 @@
spaceship::section \
"$SPACESHIP_HG_BRANCH_COLOR" \
- "$SPACESHIP_HG_SYMBOL"$hg_info"$SPACESHIP_HG_BRANCH_SUFFIX"
+ "$SPACESHIP_HG_BRANCH_PREFIX"$hg_info"$SPACESHIP_HG_BRANCH_SUFFIX"
} | bash |
d_bash_3682 | ---
+++
@@ -4,7 +4,32 @@
sh -c "echo deb https://get.docker.com/ubuntu docker main > /etc/apt/sources.list.d/docker.list"
apt-get update
-apt-get install -y git vim zsh curl wget tree terminator gnome-panel tmux lxc-docker build-essential libssl-dev python-dev lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc++6 qemu-... | bash |
d_bash_3683 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/bash
+rm -f .coverage
nosetests -v \
--with-coverage \
--cover-inclusive \ | bash |
d_bash_3684 | ---
+++
@@ -7,7 +7,8 @@
(cd doc/changelog && ls -d */)
read -r where
-where=$(echo doc/changelog/"$where"*)
+where="doc/changelog/$where"
+if ! [ -d "$where" ]; then where=$(echo "$where"*); fi
where="$where/$PR-$(git rev-parse --abbrev-ref HEAD).rst"
# shellcheck disable=SC2016 | bash |
d_bash_3685 | ---
+++
@@ -14,7 +14,7 @@
done
}
-cat update 2>/dev/null
+cat /tmp/update 2>/dev/null
$(script -q -e /dev/null -c "${@} 2>&1" >/tmp/output) &
PID=$!
spinner "${PID}" & | bash |
d_bash_3686 | ---
+++
@@ -7,7 +7,9 @@
set -e
-if test -t 1 || test "z$CHECK_VERBOSE" != z; then
+if test -t 1 && test "z$CHECK_VERBOSE" = z; then
+ : # continue with the output-suppressed code path, below
+else
"$@" || e=$?
exit $e
fi | bash |
d_bash_3687 | ---
+++
@@ -1,8 +1,5 @@
#!/bin/sh
set -eux
-
-apk add --no-cache --repository http://dl-3.alpinelinux.org/alpine/edge/community/ --allow-untrusted \
- dos2unix
apk add --no-cache \
curl \ | bash |
d_bash_3688 | ---
+++
@@ -15,6 +15,7 @@
cat package.json | jq -e .scripts.integrate &>2
if [ $? -ne 0 ]; then
+ # TODO: Reference documentation on the integration process
echo "$PROJECT doesn't have an `integrate` script in its package.json"
exit 1
fi | bash |
d_bash_3689 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-sudo apt-get install -y zsh, git, pypy, vim
+sudo apt-get install -y zsh git pypy vim
# install pip
wget https://bootstrap.pypa.io/get-pip.py | bash |
d_bash_3690 | ---
+++
@@ -1,3 +1,2 @@
#!/bin/bash
-packer build --only=vmware-iso --var iso_url=~/packer_cache/14300.1000.160324-1723.RS1_RELEASE_SVC_SERVER_OEMRET_X64FRE_EN-US.ISO windows_2016_docker.json
-packer build --only=virtualbox-iso --var iso_url=~/packer_cache/14300.1000.160324-1723.RS1_RELEASE_SVC_SERVER_OEMRET_X64FRE_... | bash |
d_bash_3691 | ---
+++
@@ -7,5 +7,4 @@
setopt promptsubst
-# PS1='%{$fg[yellow]%}%c %{$reset_color%}$(git_prompt_info)%{$fg[cyan]%}▶ %{$reset_color%}'
PS1='%{$fg[green]%}%c %{$reset_color%}$(git_prompt_info)%{$fg[cyan]%}—— %{$reset_color%}' | bash |
d_bash_3692 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
if ! ps aux | grep "[p]ython /var/www/dmi-tcat/helpers/urlexpand.py"
then
- timeout 3500 -s SIGKILL python /var/www/dmi-tcat/helpers/urlexpand.py
+ timeout -s SIGKILL 3500 python /var/www/dmi-tcat/helpers/urlexpand.py
fi | bash |
d_bash_3693 | ---
+++
@@ -4,9 +4,20 @@
sudo apt-get update
sudo apt-get install -y xvfb zip unzip fluxbox xserver-xephyr curl
-sudo apt-get install -y imagemagick libmagickwand-dev xvfb unzip imagemagick xdotool tesseract-ocr
+sudo apt-get install -y imagemagick libmagickwand-dev xvfb unzip imagemagick xdotool
-sudo apt-get ... | bash |
d_bash_3694 | ---
+++
@@ -34,6 +34,9 @@
pip install coverage coveralls
fi
+# Enables nosetests --with-timer
+pip install nose-timer
+
python --version
python -c "import numpy; print('numpy %s' % numpy.__version__)"
python -c "import scipy; print('scipy %s' % scipy.__version__)" | bash |
d_bash_3695 | ---
+++
@@ -1,8 +1,13 @@
#!/bin/bash
set -euo pipefail
+
+# Tell apt-get we're never going to be able to give manual
+# feedback:
+export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get -y upgrade
apt-get -y install --no-install-recommends procps
+apt-get -y install --no-install-recommends git
apt-get c... | bash |
d_bash_3696 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
cd ~
-rm -rf Documents Modèles Images Vidéos Musique Public Téléchargements
+rm -rf Documents Modèles Images Vidéos Musique Public Téléchargements examples.desktop
xdg-user-dirs-update
# Reassign path : | bash |
d_bash_3697 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -ex
git clone --branch gh-pages https://github.com/openfisca/openfisca.org.git
mv _book doc | bash |
d_bash_3698 | ---
+++
@@ -1,10 +1,9 @@
cd ../Software
-rm foo.o
-rm fido-lib.a
+make clean
make
make lib
cd ../Tests
-rm test
+make clean
make
./test | bash |
d_bash_3699 | ---
+++
@@ -13,7 +13,7 @@
if [[ "${CONDA}" == "true" ]]; then
- conda config --set anaconda_upload no;
+ conda config --set anaconda_upload no
conda install -n root conda-build anaconda-client
@@ -21,7 +21,7 @@
conda build .
echo "Deploying to Anaconda.org..."
- anaconda -t $ANACOND... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.